# Ladybird Documentation

Ladybird development moves quickly, so some of these might be out of date. Please let us know if something here is wrong,
or submit a PR with any additions or corrections! If you have any questions that are not answered here or in the [FAQ](FAQ.md),
you are welcome to ask on [Discord](../README.md#get-in-touch-and-participate).

## Building and Running
* [Build Instructions](BuildInstructionsLadybird.md)
* [Advanced Build Instructions](AdvancedBuildInstructions.md)
* [Troubleshooting](Troubleshooting.md)
* [Testing](Testing.md)
* [Profiling the Build](BuildProfilingInstructions.md)

## Configuring Editors
* [Android Studio](EditorConfiguration/AndroidStudioConfiguration.md)
* [CLion](EditorConfiguration/CLionConfiguration.md)
* [Emacs](EditorConfiguration/EmacsConfiguration.md)
* [Helix](EditorConfiguration/HelixConfiguration.md)
* [NVim](EditorConfiguration/NvimConfiguration.md)
* [Qt Creator](EditorConfiguration/QtCreatorConfiguration.md)
* [Vim](EditorConfiguration/VimConfiguration.md)
* [VS Code](EditorConfiguration/VSCodeConfiguration.md)

## Development
* [How to Contribute](../CONTRIBUTING.md)
* [Coding Style](CodingStyle.md)
* [Common Patterns](Patterns.md)
* [Guidelines for Text in UI](HumanInterfaceGuidelines/Text.md)
* [EventLoop](EventLoop.md)
* [Smart Pointers](SmartPointers.md)
* [String Formatting](StringFormatting.md)

## Browser/LibWeb
* [General Architecture](ProcessArchitecture.md)
* [LibWeb: From Loading to Painting](LibWebFromLoadingToPainting.md)
* [LibWeb: Browsing Contexts and Navigables](BrowsingContextsAndNavigables.md)
* [How to Add an IDL File](AddNewIDLFile.md)
* [LibWeb Code Style & Patterns](LibWebPatterns.md)
* [CSS Generated Files](CSSGeneratedFiles.md)
