/*
 * Copyright (c) 2018-2022, Andreas Kling <andreas@ladybird.org>
 * Copyright (c) 2021, Tobias Christiansen <tobyase@serenityos.org>
 *
 * SPDX-License-Identifier: BSD-2-Clause
 */

#include <LibWeb/Layout/ListItemBox.h>
#include <LibWeb/Layout/ListItemMarkerBox.h>

namespace Web::Layout {

GC_DEFINE_ALLOCATOR(ListItemBox);

ListItemBox::ListItemBox(DOM::Document& document, DOM::Element* element, GC::Ref<CSS::ComputedProperties> style)
    : Layout::BlockContainer(document, element, move(style))
{
}

ListItemBox::~ListItemBox() = default;

void ListItemBox::visit_edges(Cell::Visitor& visitor)
{
    Base::visit_edges(visitor);
    visitor.visit(m_marker);
}

void ListItemBox::set_marker(GC::Ptr<ListItemMarkerBox> marker)
{
    m_marker = move(marker);
}

}
